
  <div [formGroup]="form">
    <mat-accordion>
      <mat-expansion-panel [expanded]="true" class="mb-3">
        <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
          <mat-panel-title><h6>Equipment Receipt Details</h6></mat-panel-title>
        </mat-expansion-panel-header>
        <div>
          <h6>Device-Order: {{deviceFtn}}</h6>
        </div>

        <!-- Order Information -->
        <mat-accordion>
          <mat-expansion-panel [expanded]="true" class="mb-3">
            <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
              <mat-panel-title><h6>Order Information</h6></mat-panel-title>
            </mat-expansion-panel-header>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Device-Order: </label>
                <div class="col-24 col-lg-12"><label>{{deviceFtn}}</label></div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">CCD: </label>
                <div class="col-24 col-lg-12"><label>{{ccd | date:'MM/dd/yyyy'}}</label></div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Site: </label>
                <div class="col-24 col-lg-12"><label>{{site}}</label></div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">RAS Date: </label>
                <div class="col-24 col-lg-12"><label>{{rasDate | date:'MM/dd/yyyy'}}</label></div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Equipment Only: </label>
                <div class="col-24 col-lg-12"><label>{{eqptOnlyCD}}</label></div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Records Only: </label>
                <div class="col-24 col-lg-12"><label>{{recordsOnly}}</label></div>
              </div>
            </div>
          </mat-expansion-panel>
        </mat-accordion>

        <!-- Select Items Received -->
        <mat-accordion>
          <mat-expansion-panel [expanded]="true" class="mb-3">
            <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
              <mat-panel-title><h6>Select Items Received</h6></mat-panel-title>
            </mat-expansion-panel-header>
            <dx-data-grid #grid id="grid" [dataSource]="equipmentReceiptLineItems" keyExpr="fsA_CPE_LINE_ITEM_ID" [columnAutoWidth]="true"
                          [rowAlternationEnabled]="true" [showBorders]="true" [wordWrapEnabled]="true"
                          (onContentReady)="grid.instance.searchByText(grid.searchPanel.text.trim())"
                          (onSelectionChanged)="selectionChangedHandler($event)">
              <dxo-sorting mode="multiple"></dxo-sorting>
              <dxo-selection mode="multiple" showCheckBoxesMode="always" selectAllMode="page"></dxo-selection>
              <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
              <dxo-paging [pageSize]="50"></dxo-paging>
              <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[25, 50, 100]"></dxo-pager>
              <dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>
              <dxo-editing mode="cell"
                           [allowUpdating]="true">
              </dxo-editing>
              <dxi-column dataField="plsfT_RQSTN_NBR" caption="Req Nbr" dataType="string" [allowEditing]="false"></dxi-column>
              <dxi-column dataField="prcH_ORDR_NBR" caption="PO Nbr" dataType="string" [allowEditing]="false"></dxi-column>
              <dxi-column dataField="supplier" caption="Supplier" dataType="string" [allowEditing]="false"></dxi-column>
              <dxi-column dataField="manF_PART_CD" caption="IMN/Part#" dataType="string" [allowEditing]="false"></dxi-column>
              <dxi-column dataField="mdS_DES" caption="Description" dataType="string" [allowEditing]="false"></dxi-column>
              <dxi-column dataField="ordR_QTY" caption="Ordered Qty" dataType="string" [allowEditing]="false"></dxi-column>
              <dxi-column dataField="eqpT_ITM_RCVD_DT" caption="Receipt Date" dataType="datetime" [allowEditing]="false"></dxi-column>
              <dxi-column dataField="rcvD_QTY" caption="Partial Qty" dataType="string"></dxi-column>
            </dx-data-grid>
          </mat-expansion-panel>
        </mat-accordion>

      </mat-expansion-panel>
    </mat-accordion>
  </div>
